<div class="border">
    </div>
    <ngui-map (mapReady$)="onMapReady($event)"  class="maping"
              [center]=  center
              [zoom]="15"
              [zoomControlOptions]="{position: 'TOP_CENTER'}"
              [fullscreenControl]="true"
              [fullscreenControlOptions]="{position: 'TOP_CENTER'}"
              [scrollwheel]="false">
               <polygon [geodesic]="true" *ngFor="let pos of triangleCoords" [paths]="pos"
                    [strokeColor]="'#57ACF9'"
                    [strokeOpacity]="1"
                    [strokeWeight]="3"
                    [fillColor]="'#BCDCF9'"
                    [fillOpacity]="0.75" >
                </polygon>
               <traffic-layer></traffic-layer>
               <drawing-manager
                    [drawingControl]="true"
                    [drawingControlOptions]="{
                      position: 4,
                      drawingModes: ['polygon', 'rectangle']
                     }"
                      [rectangleOptions]="{
                        fillColor: '#BCDCF9',
                        strokeOpacity: 1,
                        fillOpacity: 0.75,
                        strokeWeight: 3,
                        editable: true,
                        strokeColor: '#57ACF9',
                        clickable: false,
                        zIndex: 1
                    }"
                    [polygonOptions]="{
                        fillColor: '#BCDCF9',
                        strokeOpacity: 1,
                        fillOpacity: 0.75,
                        strokeWeight: 3,
                        editable: true,
                        strokeColor: '#57ACF9',
                        clickable: false,
                        zIndex: 1
                    }">
                </drawing-manager>
    </ngui-map>
    